﻿using EmbedAnnotation.Models;
using Orchard.ContentManagement;
using Orchard.ContentManagement.Drivers;

namespace EmbedAnnotation.Drivers
{
    public class MapDriver : ContentPartDriver<EmbedAnnotationPart>
    {
        protected override DriverResult Display(EmbedAnnotationPart part, string displayType, dynamic shapeHelper)
        {
            return ContentShape("Parts_EmbedAnnotation",
                () => shapeHelper.Parts_EmbedAnnotation(Guid: part.Guid, FrameWidth: part.FrameWidth, FrameHeight: part.FrameHeight));
        }

        //GET
        protected override DriverResult Editor(EmbedAnnotationPart part, dynamic shapeHelper)
        {
            return ContentShape("Parts_EmbedAnnotation_Edit",
                                () => shapeHelper.EditorTemplate(TemplateName: "Parts/EmbedAnnotation", Model: part, Prefix: Prefix));
        }
        //POST
        protected override DriverResult Editor(EmbedAnnotationPart part, IUpdateModel updater, dynamic shapeHelper)
        {
            updater.TryUpdateModel(part, Prefix, null, null);
            return Editor(part, shapeHelper);
        }
    }
}
