using System;
using System.Collections.Generic;
using System.Data;
using EmbedAnnotation.Models;
using Orchard.ContentManagement.Drivers;
using Orchard.ContentManagement.MetaData;
using Orchard.ContentManagement.MetaData.Builders;
using Orchard.Core.Contents.Extensions;
using Orchard.Data.Migration;
using EmbedAnnotation.Models;

namespace EmbedAnnotation {
    public class Migrations : DataMigrationImpl {

        public int Create() {
            // Creating table EmbedAnnotationRecord
            SchemaBuilder.CreateTable(typeof(EmbedAnnotationRecord).Name, table => table
				.ContentPartRecord()
                .Column<string>("Guid", column => column.WithLength(50))
                .Column<Int32>("FrameWidth", column => column.WithDefault(800))
                .Column<Int32>("FrameHeight", column => column.WithDefault(600))
			);

            ContentDefinitionManager.AlterPartDefinition(
                typeof(EmbedAnnotationPart).Name, cfg => cfg.Attachable());

            return 1;
        }
    }
}