﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using Orchard.ContentManagement;
using Orchard.ContentManagement.Records;

namespace EmbedAnnotation.Models
{
    public class EmbedAnnotationRecord : ContentPartRecord
    {
        public virtual String Guid { get; set; }
        public virtual int FrameWidth { get; set; }
        public virtual int FrameHeight { get; set; }
    }

    public class EmbedAnnotationPart : ContentPart<EmbedAnnotationRecord>
    {
        [Required]
        public String Guid
        {
            get { return Record.Guid; }
            set { Record.Guid = value; }
        }

        [DisplayName("Frame Width")]
        public int FrameWidth
        {
            get { return Record.FrameWidth; }
            set { Record.FrameWidth = value; }
        }

        [DisplayName("Frame Height")]
        public int FrameHeight
        {
            get { return Record.FrameHeight; }
            set { Record.FrameHeight = value; }
        }
    }
}
